Bug 1399232 - RFE: p11tool command misses the --id option
Summary: RFE: p11tool command misses the --id option
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnutls
Version: 7.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Hubert Kario
Mirek Jahoda
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 15:25 UTC by SHAURYA
Modified: 2017-08-01 08:48 UTC (History)
3 users (show)

(edit)
*p11tool* now supports writing objects by specifying a stored ID

With this update, the *p11tool* GnuTLS PKCS#11 tool supports the new "--id" option to write objects by specifying a stored ID. This allows the written object to be addressable by more applications than *p11tool*.
Clone Of:
(edit)
Last Closed: 2017-08-01 08:48:22 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2292 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-08-01 12:39:15 UTC

Description SHAURYA 2016-11-28 15:25:06 UTC
Description of problem:

Please provide --id option for p11-kit

Version-Release number of selected component (if applicable):

latest

How reproducible:

NA

Steps to Reproduce:

NA


Customer's statement -
Without the --id option of p11tool, we can't affect an id value to the certificate we need to write to the HSM.

With the Windows version of GNUTLS, the --id option is present and functionnal


You need to provide the --id option in p11tool, without it, the certificate doesn't have any id and then is not adressable by the software using the HSM for signing documents.

Comment 1 Daiki Ueno 2016-11-28 15:35:05 UTC
Reassigning to gnutls, since p11tool is part of it.

Comment 2 Nikos Mavrogiannopoulos 2016-11-29 07:36:35 UTC
https://gitlab.com/gnutls/gnutls/merge_requests/156

Comment 9 errata-xmlrpc 2017-08-01 08:48:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2292


Note You need to log in before you can comment on or make changes to this bug.